Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retorna os detalhes de uma assinatura específica
curl https://api.upag.io/v1/subscriptions/sub_abc123xyz \ -H "Authorization: Bearer {token}"
sub_
{ "id": "sub_abc123xyz", "livemode": false, "customerId": "cus_ahwDXrgYvur89iPs", "paymentMethodId": "pm_abc123xyz", "status": "active", "currency": "BRL", "interval": "month", "intervalCount": 1, "cancelAtPeriodEnd": false, "startDate": "2024-11-15T10:00:00.000Z", "endDate": null, "trialStartDate": null, "trialEndDate": null, "currentPeriodStart": "2024-11-15T10:00:00.000Z", "currentPeriodEnd": "2024-12-15T10:00:00.000Z", "canceledAt": null, "cancellationReason": null, "items": [ { "id": "si_abc123xyz", "subscriptionId": "sub_abc123xyz", "productId": "prod_xyz789abc", "priceId": "price_def456ghi", "name": "Plano Pro", "amount": 9900, "quantity": 1, "createdAt": "2024-11-15T10:00:00.000Z", "updatedAt": "2024-11-15T10:00:00.000Z" } ], "createdAt": "2024-11-15T10:00:00.000Z", "updatedAt": "2024-11-15T10:00:00.000Z" }